Obter todas as informações de presença inscritas
curl --request GET \
--url https://{host}/api/{session}/presence \
--header 'apikey: <api-key>'import requests
url = "https://{host}/api/{session}/presence"
headers = {"apikey": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {apikey: '<api-key>'}};
fetch('https://{host}/api/{session}/presence', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"presences": [
{
"chatId": "5511999999999@s.whatsapp.net",
"status": "AVAILABLE",
"lastSeen": 1234567890
},
{
"chatId": "5511888888888@s.whatsapp.net",
"status": "UNAVAILABLE",
"lastSeen": 1234567800
}
]
}
Presença
Obter Todas as Informações de Presença Subscritas
Obter todas as informações de presença (online/offline) dos chats subscritos
GET
/
api
/
{session}
/
presence
Obter todas as informações de presença inscritas
Descrição
⚠️ Este endpoint ainda não está implementado. Este endpoint permitirá obter todas as informações de presença (status online/offline) dos chats que foram subscritos através do endpoint de subscrição. Permite monitorar o status de múltiplos contatos simultaneamente.Parâmetros de URL
string
required
ID único da sessão WhatsApp
Resposta
{
"presences": [
{
"chatId": "5511999999999@s.whatsapp.net",
"status": "AVAILABLE",
"lastSeen": 1234567890
},
{
"chatId": "5511888888888@s.whatsapp.net",
"status": "UNAVAILABLE",
"lastSeen": 1234567800
}
]
}
Códigos de Status
200- Informações obtidas com sucesso400- Parâmetros inválidos401- Não autorizado404- Sessão não encontrada
Exemplo de Uso
curl -X GET https://api.wappfy.com.br/api/my-session/presence
const session = 'my-session';
const response = await fetch(`https://api.wappfy.com.br/api/${session}/presence`);
const data = await response.json();
console.log(data);
import requests
session = 'my-session'
response = requests.get(f'https://api.wappfy.com.br/api/{session}/presence')
data = response.json()
print(data)
Authorizations
Sua chave de API do Wappfy (obtenha em dash.wappfy.com.br)
Path Parameters
Nome da sessão (instanceName)
